ASA-201806-11 generated external raw

[ASA-201806-11] pass: arbitrary code execution
Arch Linux Security Advisory ASA-201806-11 ========================================== Severity: High Date : 2018-06-19 CVE-ID : CVE-2018-12356 Package : pass Type : arbitrary code execution Remote : Yes Link : https://security.archlinux.org/AVG-720 Summary ======= The package pass before version 1.7.2-1 is vulnerable to arbitrary code execution. Resolution ========== Upgrade to 1.7.2-1. # pacman -Syu "pass>=1.7.2-1" The problem has been fixed upstream in version 1.7.2. Workaround ========== You can make sure arbitrary code execution is not possible by disabling pass's extension facility: export PASSWORD_STORE_ENABLE_EXTENSIONS=false Description =========== An issue was discovered in password-store.sh in pass in Simple Password Store 1.7 through 1.7.1. The signature verification routine parses the output of GnuPG with an incomplete regular expression, which allows remote attackers to spoof file signatures on configuration files and extensions scripts. Modifying the configuration file allows the attacker to inject additional encryption keys under their control, thereby disclosing passwords to the attacker. Modifying the extension scripts allows the attacker arbitrary code execution. Impact ====== A remote attacker is able to bypass signature verification and register arbitrary keys for an account or execute arbitrary code on the host by providing the application a crafted pgp signature packet. References ========== https://neopg.io/blog/pass-signature-spoof/ https://marc.info/?l=oss-security&m=152901317028506 https://github.com/zx2c4/password-store/commit/8683403b77f59c56fcb1f05c61ab33b9fd61a30d https://security.archlinux.org/CVE-2018-12356